← API marketplace
Account
Account, Usage & Billing
Prepaid balance and plan bundle, usage by day, campaign and API key (the same numbers your invoices use), and invoice PDFs.
GET
/v1/account/balanceCurrent balance
curl -X GET "https://api.sendaapp.co.za/v1/account/balance" \
-H "Authorization: Bearer $SENDA_API_KEY"Example response (200)
{
"balance_cents": 48530,
"bundle_parts_remaining": 1200,
"currency": "ZAR"
}GET
/v1/account/usageUsage report
Scopes: account:read
curl -X GET "https://api.sendaapp.co.za/v1/account/usage?from=2026-10-01&to=2026-11-01" \
-H "Authorization: Bearer $SENDA_API_KEY"Example response (200)
{
"totals": {
"messages": 18342,
"parts": 19020,
"cost_cents": 551580,
"bundle_parts": 10000
},
"by_day": []
}GET
/v1/account/invoicesInvoices
Scopes: account:read
curl -X GET "https://api.sendaapp.co.za/v1/account/invoices" \
-H "Authorization: Bearer $SENDA_API_KEY"Example response (200)
{
"data": [
{
"id": "…",
"number": "INV-001042",
"total_cents": 199900,
"status": "paid"
}
]
}